package com.chinaitop.depot.intelligent.IntelligentDetection.service;

import com.chinaitop.depot.intelligent.IntelligentDetection.model.TTimingTask;
import com.chinaitop.depot.intelligent.IntelligentDetection.model.TTimingTaskHistory;

import java.util.List;

/**
 * @author qingsong.han
 * @description:
 * @create 2019-01-03 10:13
 */
public interface TTimingTaskService {

    List<TTimingTask> getList(String tName, String tState, String tCategory,String orgId);

    void save(String taskSchemaJson);

    int deleteById(String id);

    TTimingTask getById(String id);

    List<TTimingTaskHistory> getDetectionHistory(String vcfcode, String time, String tid,String type,String orgId);
}
